var _path = require("path");
var _fs = require("fs");
var _Modify = require("dr-js/library/node/file/Modify");
var _collectDependency = require("./collectDependency");
var _logResult = require("./logResult");
exports.doCheckOutdated = (async ({pathInput, pathTemp = (0, _path.resolve)(pathInput, "check-outdated-gitignore")}) => {
  console.log(`[checkOutdated] checking '${pathInput}'`);
  const {isDirectory, packageInfoMap, dependencyMap} = await (0, _collectDependency.collectDependency)(pathInput);
  const outdatedCount = isDirectory ? await (0, _Modify.withTempDirectory)(pathTemp, async () => {
    (0, _fs.writeFileSync)((0, _path.resolve)(pathTemp, "package.json"), JSON.stringify({
      dependencies: dependencyMap
    }));
    return (0, _logResult.logCheckOutdatedResult)(packageInfoMap, pathTemp);
  }) : await (0, _logResult.logCheckOutdatedResult)(packageInfoMap, (0, _path.dirname)(pathInput));
  process.exit(outdatedCount);
});