#!/usr/bin/env node
var _option = require("./option");
var _checkOutdated = require("./checkOutdated");
var _pack = require("./pack");
var _package = require("../package.json");
(async () => {
  const {getSingleOption, getSingleOptionOptional} = await (0, _option.parseOption)();
  const isCheckOutdated = getSingleOptionOptional("check-outdated");
  const isPack = getSingleOptionOptional("pack");
  if (!isCheckOutdated && !isPack) return getSingleOptionOptional("version") ? console.log(JSON.stringify({
    packageName: _package.name,
    packageVersion: _package.version
  }, null, "  ")) : console.log((0, _option.formatUsage)(null, getSingleOptionOptional("help") ? null : "simple"));
  await (async ({isCheckOutdated, isPack}, {getSingleOption, getSingleOptionOptional}) => {
    isCheckOutdated && await (0, _checkOutdated.doCheckOutdated)({
      pathInput: getSingleOption("path-input"),
      pathTemp: getSingleOptionOptional("path-temp")
    });
    isPack && await (0, _pack.doPack)({
      pathInput: getSingleOption("path-input"),
      pathOutput: getSingleOption("path-output"),
      outputName: getSingleOptionOptional("output-name"),
      outputVersion: getSingleOptionOptional("output-version"),
      outputDescription: getSingleOptionOptional("output-description"),
      isPublish: getSingleOptionOptional("publish"),
      isPublishDev: getSingleOptionOptional("publish-dev")
    });
  })({
    isCheckOutdated,
    isPack
  }, {
    getSingleOption,
    getSingleOptionOptional
  }).catch(error => {
    console.warn("[Error]", error.stack || error);
    process.exit(2);
  });
})().catch(error => {
  console.warn((0, _option.formatUsage)(error.stack || error, "simple"));
  process.exit(1);
});