var _preset = require("dr-js/library/common/module/Option/preset");
var _Option = require("dr-js/library/node/module/Option");
const {SingleString, SinglePath, BooleanFlag, Config} = _Option.ConfigPresetNode;
const OPTION_CONFIG = {
  prefixENV: "dev-dep",
  prefixJSON: "dev-dep",
  formatList: [ Config, {
    ...BooleanFlag,
    name: "help",
    shortName: "h"
  }, {
    ...BooleanFlag,
    name: "version",
    shortName: "v"
  }, {
    ...SinglePath,
    optional: (0, _preset.getOptionalFormatFlag)("check-outdated", "pack"),
    name: "path-input",
    shortName: "i",
    description: "path to 'package.json', or directory with 'package.json' inside"
  }, {
    ...BooleanFlag,
    name: "check-outdated",
    shortName: "C",
    extendFormatList: [ {
      ...SinglePath,
      optional: !0,
      name: "path-temp"
    } ]
  }, {
    ...BooleanFlag,
    name: "pack",
    shortName: "P",
    extendFormatList: [ {
      ...SinglePath,
      name: "path-output",
      shortName: "o",
      description: "output path"
    }, {
      ...SingleString,
      optional: !0,
      name: "output-name",
      description: "output package name"
    }, {
      ...SingleString,
      optional: !0,
      name: "output-version",
      description: "output package version"
    }, {
      ...SingleString,
      optional: !0,
      name: "output-description",
      description: "output package description"
    }, {
      ...BooleanFlag,
      name: "publish",
      description: "run npm publish"
    }, {
      ...BooleanFlag,
      name: "publish-dev",
      description: "run npm publish-dev"
    } ]
  } ]
};
const {parseOption, formatUsage} = (0, _Option.prepareOption)(OPTION_CONFIG);
exports.formatUsage = formatUsage;
exports.parseOption = parseOption;