var _child_process = require("child_process");
const tryExec = (command, option) => {
  try {
    return (0, _child_process.execSync)(command, option).toString();
  } catch (error) {
    console.warn(`[tryExec] failed for: ${command}, error: ${error}`);
    return "";
  }
};
exports.tryExec = tryExec;
exports.getGitBranch = (() => tryExec("git symbolic-ref --short HEAD", {
  stdio: "pipe"
}).replace("\n", "").trim());
exports.getGitCommitHash = (() => tryExec('git log -1 --format="%H"', {
  stdio: "pipe"
}).replace("\n", "").trim());