var _fs = require("fs");
var _format = require("dr-js/library/common/format");
exports.wrapFileProcessor = (({processor, logger: {log, devLog}}) => async filePath => {
  const inputString = (0, _fs.readFileSync)(filePath, "utf8");
  const outputString = await processor(inputString, filePath);
  if (inputString === outputString) {
    devLog(`process skipped ${filePath}`);
    return 0;
  }
  const {size: inputSize} = (0, _fs.statSync)(filePath);
  outputString ? (0, _fs.writeFileSync)(filePath, outputString) : (0, _fs.unlinkSync)(filePath);
  const {size: outputSize} = outputString ? (0, _fs.statSync)(filePath) : {
    size: 0
  };
  const sizeChange = outputSize - inputSize;
  devLog(`∆${(outputSize / inputSize).toFixed(2)}(${(0, _format.binary)(sizeChange)}B)`, `${(0, _format.binary)(inputSize)}B → ${(0, _format.binary)(outputSize)}B`, `${filePath}`);
  return outputSize - inputSize;
});
exports.fileProcessorBabel = (inputString => inputString.replace(/['"]use strict['"];?\s*/g, "").replace(/Object\.defineProperty\(exports,\s*['"]__esModule['"],\s*{\s*value:\s*(true|!0)\s*}\)[;,]?\s*/g, "").replace(/(exports\.\w+\s*=\s*)+(undefined|void 0)[;,]?\s*/g, "").replace(/[\n\r]{2,}/g, "\n").replace(/^[\n\r]+/, ""));
exports.fileProcessorWebpack = (inputString => inputString.replace(/function\s*\(\)\s*{\s*return\s+([\w$]{1,3})\s*}/g, "()=>$1"));