var _time = require("dr-js/library/common/time");
var _format = require("dr-js/library/common/format");
var _main = require("./main");
const EMPTY_FUNC = () => {};
exports.getLogger = ((title = "dev-dep", quiet = !1, padWidth = 120) => {
  const envTitle = (0, _main.loadEnvKey)("__DEV_LOGGER_TITLE__");
  title = envTitle ? `${title}|${envTitle}` : title;
  (0, _main.saveEnvKey)("__DEV_LOGGER_TITLE__", title);
  const startTime = (0, _time.clock)();
  let prevTime = (0, _time.clock)();
  const stepLog = (...args) => console.log(`- (+${(() => {
    const time = (0, _time.clock)();
    const stepTime = time - prevTime;
    prevTime = time;
    return (0, _format.time)(stepTime);
  })()}) ${args.join(" ")}`);
  const log = (...args) => console.log(`- ${args.join(" ")}`);
  const devLog = _main.__VERBOSE__ ? log : EMPTY_FUNC;
  return quiet ? {
    padLog: stepLog,
    stepLog: devLog,
    log: devLog,
    devLog: EMPTY_FUNC
  } : {
    padLog: (...args) => {
      const start = `## ${args.join(" ")} `;
      const end = ` [${title}|${(() => {
        const time = (0, _time.clock)();
        prevTime = time;
        return (0, _format.time)(time - startTime);
      })()}]`;
      console.log(`\n${start.padEnd(padWidth - end.length, "-")}${end}`);
    },
    stepLog,
    log,
    devLog
  };
});