var _time = require("dr-js/library/common/time");
var _format = require("dr-js/library/common/format");
const loadEnvKey = key => {
  try {
    return JSON.parse(process.env[key]);
  } catch (error) {
    return null;
  }
};
exports.loadEnvKey = loadEnvKey;
const saveEnvKey = (key, value) => {
  try {
    process.env[key] = JSON.stringify(value);
  } catch (error) {}
};
exports.saveEnvKey = saveEnvKey;
const syncEnvKey = (key, defaultValue) => {
  const value = loadEnvKey(key) || defaultValue;
  saveEnvKey(key, value);
  return value;
};
exports.syncEnvKey = syncEnvKey;
const __VERBOSE__ = syncEnvKey("__DEV_VERBOSE__", process.argv.includes("verbose"));
exports.__VERBOSE__ = __VERBOSE__;
const checkFlag = (flagList, checkFlagList) => flagList.find(flag => checkFlagList.includes(flag));
exports.checkFlag = checkFlag;
exports.argvFlag = ((...checkFlagList) => checkFlag(process.argv, checkFlagList));
exports.runMain = ((main, logger, ...args) => {
  const startTime = (0, _time.clock)();
  new Promise(resolve => resolve(main(logger, ...args))).then(() => {
    logger.padLog(`done in ${(0, _format.time)((0, _time.clock)() - startTime)}`);
  }, error => {
    console.warn(error);
    logger.padLog(`error after ${(0, _format.time)((0, _time.clock)() - startTime)}: ${error}`);
    process.exit(-1);
  });
});